<div class="container">
  <div class="row d-flex justify-content-center">
    <div class="card col-4 mt-4">
      <div class="card-title">
        <h2 class="mt-3">Reiniciar contraseña</h2>
      </div>
      <div class="card-body">
        <div class="card-group">
          <form [formGroup]="formReset" (submit)="researPassword(formReset)">
            <div class="mb-3">
              <label for="emailAddressReset" class="form-label"
                >Ingrese su correo electronico</label
              >
              <input
                type="email"
                class="form-control"
                id="emailAddressReset"
                aria-describedby="emailHelp"
                required
                formControlName="email"
                name="email"
              />
              <div id="emailHelp" class="form-text">
                Por favor verifique su correo electronico.
              </div>
            </div>

            <button type="submit" class="btn btn-danger btn-lg">
              Reiniciar
            </button>
            <div *ngIf="errorEmail()" class="alert alert-danger">
              El correo no es valido
            </div>
            <div *ngIf="errorEmailEmpty()" class="alert alert-danger">
              El campo correo No puede estar vacio
            </div>

            <div
              *ngIf="alerta.exito && formReset.get('email')?.valid"
              [ngClass]="alerta.color"
              class="alert"
            >
              {{ alerta.msn }}
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
